Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 22/01/2008, à 13:45

piercleo

Installation de "Barry" pour sync. BlackBerry Pearl sur AMD64

Bonjour,

Préambule:

Je ne suis pas une lumière en informatique mais suis prêt à  continuer mon apprentissage, à  lire tout ce qu'il faut lire pour parvenir à  résoudre mon problème et à  être patient. En revanche, je ne suis pas du tout prêt à  revenir à  Windows. Hormis ce petit problème de synchronisation tout fonctionne à  merveille sur mon ordinateur et je suis ravi d'utiliser Ubuntu. Je remercie donc par avance toute personne qui aura la patience de m'aider.

Objectif:

Je souhaite synchroniser mon BlackBerry Pearl avec Evolution en utilisant la solution Barry. J'ai Ubuntu Gutsy Gibbon AMD64 d'installé sur mon ordinateur portable.

Problème:

Je ne parviens pas à  installer correctement Barry.

Détails (edité) - CE QUE J'AI FAIT ET CE QUE J'AI OBTENU :

Pour info, je n'y comprends rien, j'ai juste pris le temps de tout lire et j'ai suivi les instructions de ce site à  la lettre :

http://www.netdirect.ca/software/packages/barry/index.php

Avec Système > Administration > Gestionnaire de paquets Synaptic, j'ai installé les paquets suivants :

• Fakeroot 1.7.1ubuntu1
• build-essential 11.3ubuntu1
• checkinstall 1.6.1-4ubuntu1

Puis j'ai récupéré le fichier barry-0.11.tar.bz2 (code source de Barry) à  partir de cette adresse :

http://sourceforge.net/project/downloading.php?group_id=153722&use_mirror=dfn&filename=barry-0.11.tar.bz2&7817402

J'ai ensuite utilisé le gestionnaire d'archive pour extraire le dossier barry-0.11 vers le bureau.

Puis j'ai parcouru le fichiers README du dossier barry-0.11 ainsi que le site du projet pour connaà®tre les dépendances dont le logiciel a besoin.

Pour info, les deux adresses de documentation que j'ai utilisé :

• http://www.netdirect.ca/software/packages/barry/requirements.php
• http://www.netdirect.ca/software/packages/barry/install.php

Les dépendances dont j'ai besoin sont les suivantes :

• pkg-config
• libusb, stable (0.1.x)
• openssl
• boost 1.33
• gtkmm 2.4
• glademm 2.4
• glibmm 2.4
• libtar 1.2.x
• zlib
• libopensync-0.22
• sqlite
• glib2
• libxml2
• libbarry

Avec Système > Administration > Gestionnaire de paquets Synaptic, j'ai installé les paquets suivants :

• pkg-config 0.22-1
• libusb-0.1-4 (version installée: 2:0.1.12-7)
• openssl 0.9.8e-5ubuntu3.1
• libboost-python1.34.1-2ubuntu1.1
• libgtkmm-2.4-1c2a
• glademm 2.6.0-1.3
• libglibmm-2.14.0-0ubuntu1
• libtar1.2.11-4
• zlib1g 1:1.2.3.3dfsg-5ubuntu2
• libopensync0 0.19-1.2ubuntu1
• sqlite3 3.4.2-1build1
• libglib2.14.1-1ubuntu1
• libxml2 2.6.30.dfsg-2ubuntu1.1

En gras, j'ai mis les paquets dont je n'étais pas persuadé que ce soit les bons.

Par ailleurs, il me manque le paquet libbary, je n'arrive pas à  le trouver.

Une fois toutes les dépendances installées (bon d'accord, il m'en manque, mais je voulais quand même voir o๠ça allait bloquer), j'ouvre Application > Accessoires > Terminal et je tape les commandes suivantes pour installer barry :

    cd /home/piercleo/Bureau
    ./configure --with-boost=/usr --enable-gui --enable-opensync-plugin

La j'obtiens de très nombreuses écritures, que je vous épargne (oui je sais mon post est déjà  horriblement long mais je me dis que si je suis précis alors il sera plus facile de m'aider) dont :


checking for LIBUSB... no
ERROR: Libusb not found automatically... build may fail if you don't specify --with-libusb
checking for OPENSSL... configure: error: Package requirements (openssl) were not met:

No package 'openssl' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables OPENSSL_CFLAGS
and OPENSSL_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

En conclusion:

J'y comprends pas grand chose, j'ai envie d'y arriver, je serai ravi qu'on m'oriente un peu et qu'on me file un petit coup de main.

Merci d'avance,

Piercleo

Dernière modification par piercleo (Le 22/01/2008, à 19:07)

Hors ligne

#2 Le 25/01/2008, à 09:18

piercleo

Re : Installation de "Barry" pour sync. BlackBerry Pearl sur AMD64

Up,

Je n'ai toujours pas réussi à  résoudre ce problème malgré de nombreuses lectures sur ce sujet. Si quelqu'un a une idée, je lui en serai extrêmement reconnaissant.

PC

Hors ligne

#3 Le 17/02/2008, à 22:57

gagarine

Re : Installation de "Barry" pour sync. BlackBerry Pearl sur AMD64

Ce logiciel sauf erreur ne permet pour l'instant que de faire des backup, pas de synchronisation...


http://www.wiki.neverlandlab.net/

Hors ligne

#4 Le 06/05/2008, à 09:00

piercleo

Re : Installation de "Barry" pour sync. BlackBerry Pearl sur AMD64

gagarine a écrit :

Ce logiciel sauf erreur ne permet pour l'instant que de faire des backup, pas de synchronisation...

Ce logiciel ne propose pas encore de GUI pour la synchronisation mais en ligne de commande il me semble que la synchronisation est possible. Le seul problème c'est que je ne suis pas assez calé en informatique pour résoudre mon problème d'installation !

http://www.netdirect.ca/software/packages/barry/

Hors ligne

#5 Le 12/05/2008, à 09:23

thecham03

Re : Installation de "Barry" pour sync. BlackBerry Pearl sur AMD64

Sur le sourceforge de Barry il est dit:

Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld. It comes with a command line tool for exploring the device and a GUI for making quick backups. This project's goal is to create a fully functional syncing mechanism on Linux.

Apparamment les fonctions de synchronisation n'ont pas encore été ajoutées au logiciel comme le disait Gagarine.

Dernière modification par thecham03 (Le 12/05/2008, à 09:23)


Lubuntu 14.04 - 64 bits

Hors ligne

#6 Le 13/05/2008, à 10:06

piercleo

Re : Installation de "Barry" pour sync. BlackBerry Pearl sur AMD64

La synchronisation fonctionne en ligne de commande pour calendrier tache agenda avec Blackberry pearl (testée et réussie)

Hors ligne

#7 Le 10/02/2009, à 17:30

Nicolas VIVIEN

Re : Installation de "Barry" pour sync. BlackBerry Pearl sur AMD64

Bonjour,

Je confirme.

Je travaille sur le sujet pour le BlackBerry Storm.

http://www.progweb.com/modules/blackberry/

A bientôt,

Nicolas

Haut de page ↑